package com.brilliance.controller;

import com.brilliance.service.UserService;
import com.brilliance.vo.PageData;
import com.brilliance.vo.Result;
import com.brilliance.vo.UserVO;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description
 * @Author s_guodong
 * @Date 2022/12/6
 */
@RestController
@RequestMapping("user")
public class UserController {
    private Logger logger = LoggerFactory.getLogger(this.getClass());
    @Autowired
    private UserService userService;

    @GetMapping("list")
    public Result userList(@RequestParam("pageNum") Integer pageNum,
                           @RequestParam("pageSize") Integer pageSize) {
        logger.info("获取用户列表，pageNum:{},pageSize:{}", pageNum, pageSize);
        PageData<UserVO> pageData = userService.userList(pageNum, pageSize);
        return new Result(pageData);
    }
}
