package com.brilliance.service.impl;

import com.brilliance.mapper.UsrMapper;
import com.brilliance.service.UserService;
import com.brilliance.vo.PageData;
import com.brilliance.vo.UserVO;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description
 * @Author s_guodong
 * @Date 2022/12/6
 */
@Service
public class UserServiceImpl implements UserService {
    @Autowired
    private UsrMapper usrMapper;

    @Override
    public PageData<UserVO> userList(Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<UserVO> list = usrMapper.selectUserList();
        PageInfo<UserVO> pageInfo = PageInfo.of(list);
        PageHelper.clearPage();
        PageData pageData = new PageData(list, pageInfo.getPageNum(), pageInfo.getPageSize(), pageInfo.getPages(), pageInfo.getTotal());
        return pageData;
    }
}
