package com.brilliance.vo;

import lombok.Data;

import java.util.List;

/**
 * @Description
 * @Author s_guodong
 * @Date 2022/12/6
 */
@Data
public class PageData<T> {
    /**
     * 页码
     */
    private Integer pageNum;

    /**
     * 分页大小
     */
    private Integer pageSize;

    /**
     * 总页数
     */
    private Integer pages;

    /**
     * 数据总数量
     */
    private Long total;

    private List<T> list;

    public PageData() {

    }

    public PageData(List<T> list, Integer pageNum, Integer pageSize, Integer pages, Long total) {
        this.list = list;
        this.pageNum = pageNum;
        this.pageSize = pageSize;
        this.pages = pages;
        this.total = total;
    }

}
